﻿@model TagLinkCreateEditDto
<div class="modal fade" id="link-create-edit" tabindex="-1" role="dialog" aria-labelledby="linkCreateEditLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="linkCreateEditLabel">Create/Edit Link</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form asp-action="SaveModalData">
                    <input name="IsValid" type="hidden" value="@ViewData.ModelState.IsValid.ToString()" />
                    @Html.HiddenFor(@model => model.TagLinkID)

                    <div class="form-group">
                        <label asp-for="OrganizationID" class="control-label">Organization</label>
                        @Html.DropDownListFor(model => model.OrganizationID, Model.Organizations, "-- Select Organization --", new { @class = "form-control" })
                    </div>

                    <div class="form-group">
                        <label asp-for="OrganizationID" class="control-label">Link Type</label>
                        @Html.DropDownListFor(model => model.TagLinkTypeID, Model.TagLinkTypes, "-- Select Link Type --", new { @class = "form-control" })
                    </div>

                    <div class="form-group">
                        <label asp-for="TagID"></label>
                        <input asp-for="TagID" class="form-control" />
                        <span asp-validation-for="TagID" class="text-danger"></span>
                    </div>

                    <div class="form-group">
                        <label asp-for="ClientSystemID"></label>
                        <input asp-for="ClientSystemID" class="form-control" />
                        <span asp-validation-for="ClientSystemID" class="text-danger"></span>
                    </div>
                </form>
                <div class="form-group">
                    <div id="modalError" class="login-error-text" style="text-align:center"></div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                <button type="button" class="btn btn-primary" data-save="modal">Save</button>
            </div>
        </div>
    </div>
</div>